Package wx :: Package lib :: Package ogl :: Class BitmapShape

[frames | no frames]

## Type BitmapShape

         object --+
                  |
    ShapeEvtHandler --+
                      |
                  Shape --+
                          |
             RectangleShape --+
                              |
                             BitmapShape

Draws a bitmap (non-resizable).

Method Summary
| `__init__(self)`
| ``GetBitmap`(self)` Return a the bitmap associated with this shape.
| ``GetFilename`(self)` Return the bitmap filename.
| `OnDraw(self, dc)`
| ``SetBitmap`(self, bitmap)` Set the bitmap associated with this shape.
| ``SetFilename`(self, f)` Set the bitmap filename.
| `SetSize(self, w, h, recursive)`

Class Variable Summary

Method Details

### GetBitmap(self)

Return a the bitmap associated with this shape.

### GetFilename(self)

Return the bitmap filename.

### SetBitmap(self, bitmap)

Set the bitmap associated with this shape.

You can delete the bitmap from the calling application, since reference counting will take care of holding on to the internal bitmap data.

### SetFilename(self, f)

Set the bitmap filename.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:56 2007 | http://epydoc.sf.net